package gol

import (
	"time"
)

type ConfigurationStdout struct {
	Level string `yaml:"level"`
}

type ConfigurationFile struct {
	Enabled    bool   `yaml:"enabled"`
	Level      string `yaml:"level"`
	Filename   string `yaml:"filename"`
	MaxSize    int    `yaml:"maxsize"`
	MaxAge     int    `yaml:"maxage"`
	MaxBackups int    `yaml:"maxbackups"`
	LocalTime  bool   `yaml:"localtime"`
	Compress   bool   `yaml:"compress"`
}

type ConfigurationSentry struct {
	Level   string        `yaml:"level"`
	DSN     string        `yaml:"dsn"`
	Timeout time.Duration `yaml:"timeout"`
}

type Configuration struct {
	Stdout ConfigurationStdout `yaml:"console"`
	File   ConfigurationFile   `yaml:"file"`
	Sentry ConfigurationSentry `yaml:"sentry"`
}
