package gol

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func Test_buildErrorsFilename(t *testing.T) {
	testCases := []struct {
		logFileName      string
		expectedFileName string
	}{
		{"logs/logs.log", "logs/logs-errors.log"},
		{"logs/advisor.log", "logs/advisor-errors.log"},
		{"logs/country.log", "logs/country-errors.log"},
		{"logs/country.old.log", "logs/country.old-errors.log"},
	}

	for _, test := range testCases {
		t.Run(test.logFileName, func(t *testing.T) {
			assert.Equal(t, test.expectedFileName, buildErrorsFilename(test.logFileName), "result")
		})
	}
}
